@Echo off
set JobObjectsPacketAllDetails_DPNE=T:\Nx2DataExportCopyResultsToThisDirIfitExist\im9t_NxExpoApPara-01957_KBA_ObjectsListAllDetails.txt

FOR /F "skip=1 tokens=1,2,6,9,10,13,18,19,* delims=;" %%i in (%JobObjectsPacketAllDetails_DPNE%) do call :DataSetsSepToLists "%%i" "%%j" "%%k" "%%l" "%%m" "%%n" "%%o" "%%p" "%%q"


goto :eof

:DataSetsSepToLists

 Echo %1
 Echo %2
 Echo %3
 Echo %4
 Echo %5
 Echo %6
 Echo %7
 Echo %8
 Echo %9
 rem - SollSpalte=37-22=Nummer fuer tokens=15
 FOR /F "tokens=18 delims=;" %%i IN (%9) do set CharType=%%i

 Echo CharType=%CharType%
 set ApMaxComp=200
 set CompCount=%8
 Echo on
 if /I "%CharType%"=="A"  if not %CompCount% GTR %ApMaxComp% Echo OK sollte gehen %CharType%  %CompCount%


 pause

 goto :eof